// 个性化图表
import http from '@/utils/request'

// 列表数据
export function getAuthenticationSystreePage (data) {
  return http.post('/authentication/systree/page', data)
}

// 树状接口
export function getAuthenticationSysTree (data) {
  return http.post('/authentication/systree/tree', data)
}

// 保存
export function authenticationSystreeSave (data) {
  return http.post('/authentication/systree/save', data)
}

// 下载树状结构导入模版
export function systemTreeTemplateDownload () {
  return http.download('/authentication/systree/tree/tmp/dowan')
}

// 导入树状
export function systemTreeImport (data) {
  return http.upload('/authentication/systree/tree/tmp/upload', data)
}

// 删除
export function authenticationSystreeDel (data) {
  return http.post('/authentication/systree/del', data)
}

// 个性化图表汇总 列表
export function getDigitizationDataChartList (data) {
  return http.post('/digitizationData/chart/list', data)
}
// 个性化图表汇总 保存
export function digitizationDataChartSave (data) {
  return http.post('/digitizationData/chart/save', data)
}
// 个性化图表汇总 删除
export function digitizationDataChartDel (data) {
  return http.post('/digitizationData/chart/del', data)
}
// // 个性化图表汇总 详情
// export function digitizationDataChartDetail (data) {
//   return http.post('/digitizationData/chart/detail', data)
// }
